summaryrefslogtreecommitdiff
path: root/resources/scripts/update
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2021-05-18 13:56:12 +0100
committerLeah Rowe <leah@libreboot.org>2021-05-18 13:56:12 +0100
commit89517ed6b9e89321e1387ed8f534d7f080ffdf57 (patch)
tree6f2085cb89b035d3cb62ad49b470a514672102d6 /resources/scripts/update
libreboot!
this is forked from the "libre" branch in osboot, which is itself a libre, deblobbed fork of osboot, a blobbed up fork of libreboot libreboot needed to be purged clean. this is the new libreboot development repository. the old one has been abandoned
Diffstat (limited to 'resources/scripts/update')
-rwxr-xr-xresources/scripts/update/coreboot/configs82
-rwxr-xr-xresources/scripts/update/seabios/configs64
-rwxr-xr-xresources/scripts/update/tianocore/configs55
3 files changed, 201 insertions, 0 deletions
diff --git a/resources/scripts/update/coreboot/configs b/resources/scripts/update/coreboot/configs
new file mode 100755
index 00000000..639a255d
--- /dev/null
+++ b/resources/scripts/update/coreboot/configs
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+#
+# helper script: update coreboot configs (run make oldconfig)
+#
+# Copyright (C) 2021 Leah Rowe <info@minifree.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# This script assumes that the working directory is the root
+# of git or release archive
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+printf "Updating coreboot configs\n"
+
+# Build ROM images for supported boards
+updateconf() {
+ board="$1"
+ if [ -f "resources/coreboot/${board}/board.cfg" ]; then
+ cbtree="undefined"
+ source "resources/coreboot/${board}/board.cfg"
+ if [ "${cbtree}" = "undefined" ]; then
+ return 0
+ fi
+ if [ ! -d "coreboot/${cbtree}" ]; then
+ ./download coreboot ${cbtree}
+ fi
+ for cbcfg in resources/coreboot/${board}/config/*; do
+ if [ ! -f ${cbcfg} ]; then
+ continue
+ fi
+ (
+ cd coreboot/${cbtree}/
+ rm -f .config*
+ make distclean
+ )
+ mv $cbcfg coreboot/${cbtree}/.config
+ (
+ cd coreboot/${cbtree}/
+ make oldconfig
+ )
+ mv coreboot/${cbtree}/.config $cbcfg
+ rm -f coreboot/${cbtree}/.config*
+ (
+ cd coreboot/${cbtree}/
+ make distclean
+ )
+ done
+ else
+ printf "\nupdate/config/coreboot: no board.cfg for: %s\n" "${board}"
+ fi
+}
+
+if [ $# -gt 0 ]; then
+ for board in "${@}"; do
+ updateconf "${board}"
+ done
+else
+ for board in resources/coreboot/*; do
+ if [ ! -d "${board}" ]; then
+ continue
+ fi
+ updateconf "${board##*/}"
+ done
+fi
+
+printf "\n\n"
+
diff --git a/resources/scripts/update/seabios/configs b/resources/scripts/update/seabios/configs
new file mode 100755
index 00000000..312e6f68
--- /dev/null
+++ b/resources/scripts/update/seabios/configs
@@ -0,0 +1,64 @@
+#!/bin/bash
+
+#
+# helper script: update coreboot configs (run make oldconfig)
+#
+# Copyright (C) 2021 Leah Rowe <info@minifree.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# This script assumes that the working directory is the root
+# of git or release archive
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+printf "Updating seabios configs\n"
+
+if [ ! -d "seabios" ]; then
+ ./download seabios
+fi
+
+if [ ! -d "seabios" ]; then
+ printf "error: Failed to download SeaBIOS. check internet connection?\n"
+ exit 1
+fi
+
+for config in resources/seabios/config/*; do
+
+ if [ ! -f "${config}" ]; then continue; fi
+
+ (
+ cd seabios
+ make distclean
+ )
+
+ mv "${config}" seabios/.config
+ (
+ cd seabios
+ make oldconfig
+ )
+
+ cp seabios/.config "${config}"
+
+ (
+ cd seabios
+ make distclean
+ )
+
+done
+
+printf "\n\n"
+
diff --git a/resources/scripts/update/tianocore/configs b/resources/scripts/update/tianocore/configs
new file mode 100755
index 00000000..cd30db03
--- /dev/null
+++ b/resources/scripts/update/tianocore/configs
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+#
+# helper script: update coreboot configs (run make oldconfig)
+#
+# Copyright (C) 2021 Leah Rowe <info@minifree.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# This script assumes that the working directory is the root
+# of git or release archive
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+printf "Updating tianocore dummy config\n"
+
+# Build ROM images for supported boards
+cbtree="default"
+
+if [ ! -d coreboot/${cbtree} ]; then
+ ./download coreboot ${cbtree}
+fi
+
+(
+cd coreboot/${cbtree}/
+rm -f .config*
+make distclean
+)
+mv resources/tianocore/dummy.coreboot.config coreboot/${cbtree}/.config
+(
+cd coreboot/${cbtree}/
+make oldconfig
+)
+mv coreboot/${cbtree}/.config resources/tianocore/dummy.coreboot.config
+rm -f coreboot/${cbtree}/.config*
+(
+cd coreboot/${cbtree}/
+make distclean
+)
+
+printf "\n\n"
+